curl --location --request PATCH 'https://decibel.foo/api/playlists//tracks/reorder' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"title": "string",
"type": "PLAYLIST",
"isLiked": true,
"description": "string",
"isPrivate": true,
"isReposted": true,
"coverArtUrl": "string",
"playlistSlug": "string",
"totalDurationSeconds": 0,
"trackCount": 0,
"owner": {
"id": 0,
"username": "string",
"displayName": "string",
"avatarUrl": "string",
"isFollowing": true,
"followerCount": 0,
"trackCount": 0
},
"genres": [
"string"
],
"createdAt": "string",
"paginatedTrackResponse": {
"content": [
{
"id": 0,
"title": "string",
"trackSlug": "string",
"coverUrl": "string",
"trackUrl": "string",
"trackPreviewUrl": "string",
"artist": {
"id": 0,
"username": "string",
"displayName": "string",
"avatarUrl": "string",
"isFollowing": true,
"followerCount": 0,
"trackCount": 0
},
"playCount": 0,
"likeCount": 0,
"repostCount": 0,
"commentCount": 0,
"isLiked": true,
"isReposted": true,
"secretToken": "string",
"access": "BLOCKED"
}
],
"pageNumber": 0,
"pageSize": 0,
"totalElements": 0,
"totalPages": 0,
"isLast": true
},
"firstTrackWaveformUrl": "string"
}'{
"id": 0,
"title": "string",
"type": "PLAYLIST",
"isLiked": true,
"description": "string",
"isPrivate": true,
"coverArtUrl": "string",
"playlistSlug": "string",
"totalDurationSeconds": 0,
"trackCount": 0,
"secretToken": "string",
"owner": {
"id": 0,
"username": "string",
"displayName": "string",
"avatarUrl": "string",
"isFollowing": true,
"followerCount": 0,
"trackCount": 0
},
"genres": [
"string"
],
"createdAt": "string",
"trackSummaryDto": [
{
"id": 0,
"title": "string",
"trackSlug": "string",
"coverUrl": "string",
"trackUrl": "string",
"trackPreviewUrl": "string",
"artist": {
"id": 0,
"username": "string",
"displayName": "string",
"avatarUrl": "string",
"isFollowing": true,
"followerCount": 0,
"trackCount": 0
},
"playCount": 0,
"likeCount": 0,
"repostCount": 0,
"commentCount": 0,
"isLiked": true,
"isReposted": true,
"secretToken": "string",
"access": "BLOCKED"
}
],
"firstTrackWaveformUrl": "string"
}